ZZIP_DIR_FDOPEN(3)

NAME
zzip_dir_fdopen, zzip_dir_fdopen_ext_io - fd reopen.

SYNOPSIS

#include <zzip/lib.h>

ZZIP_DIR * zzip_dir_fdopen((int fd, zzip_error_t * errcode_p));

ZZIP_DIR * zzip_dir_fdopen_ext_io((int fd, zzip_error_t * errcode_p, zzip_strings_t * ext, const zzip_plugin_io_t io));

DESCRIPTION

The zzip_dir_fdopen function is used by the zzip_dir_open and zzip_opendir(2) call. Opens the zip-archive as specified with the fd which points to an already openend file. The zzip_dir_fdopen function then search and parse the zip's central directory.

NOTE: refcount is zero, so an _open/_close pair will also delete this _dirhandle

the zzip_dir_fdopen_ext_io function uses explicit ext and io instead of the internal defaults, setting these to zero is equivalent to zzip_dir_fdopen

AUTHOR

    • Guido Draheim <guidod@gmx.de> Tomi Ollila <too@iki.fi>

COPYRIGHT

Copyright (c) Guido Draheim, use under copyleft (LGPL,MPL)